### Method

# Ggit Remote update_tips

#### Declaration [src]

    gboolean
    ggit_remote_update_tips (
      GgitRemote* remote,
      GgitRemoteCallbacks* callbacks,
      gboolean update_fetch_head,
      GgitRemoteDownloadTagsType tags_type,
      const gchar* message,
      GError** error
    )

#### Description [src]

Update tips to the new state.

#### Parameters

`callbacks`

  Type: `GgitRemoteCallbacks`

  A `GgitRemoteCallbacks`.

  The data is owned by the caller of the method.

`update_fetch_head`

  Type: `gboolean`

  Whether to write to FETCH_HEAD. `TRUE` to behave like git.

`tags_type`

  Type: `GgitRemoteDownloadTagsType`

  What the behaviour for downloading tags is for this fetch. This is ignored for push. This must be the same value passed to ggit_remote_download().

`message`

  Type: `const gchar*`

  Reflog_message The message to insert into the reflogs. If `NULL` and fetching, the default is “fetch “, where is the name of the remote (or its url, for in-memory remotes). This parameter is ignored when pushing.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.